% rutero para pregunta 1, tema 3, test 1, S2-2013

n = 50;
[A,b] = funcAb(n);

% Gradiente conjugado
[xgc,fgc,relres,itscg] = pcg(A,b,1e-6,100);
if ~fgc
    disp('se calculo aproximacion con precision requerida');
    relres
    % cota para error relativo en x
    cond(full(A))*relres
end
